package de.jottyfan.minecraft.quickiefabric.blocks;

import java.util.Arrays;
import java.util.List;

import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.BlockState;
import net.minecraft.block.Material;
import net.minecraft.block.OreBlock;
import net.minecraft.item.ItemStack;
import net.minecraft.loot.context.LootContext.Builder;

/**
 *
 * @author jotty
 *
 */
public class BlockSulphor extends OreBlock {

	public BlockSulphor() {
		super(FabricBlockSettings.of(Material.STONE).hardness(0.5f));
	}

	@Override
	public List<ItemStack> getDroppedStacks(BlockState state, Builder builder) {
		return Arrays.asList(new ItemStack[] { new ItemStack(QuickieBlocks.BLOCKSULPHOR) });
	}
}
